When the service is started, wait for the clock to be synchronized for
up to 5 minutes and provide the stratum action once for ntp hotplug
scripts.
Signed-off-by: Miroslav Lichvar <mlichvar0@gmail.com>
$(INSTALL_DIR) $(1)/usr/sbin/
$(INSTALL_BIN) $(PKG_BUILD_DIR)/chronyd $(1)/usr/sbin
$(INSTALL_BIN) $(PKG_BUILD_DIR)/chronyc $(1)/usr/bin
+ $(INSTALL_BIN) ./files/chrony.ntp-hotplug $(1)/usr/sbin/chrony-hotplug
$(INSTALL_DIR) $(1)/etc/init.d
$(INSTALL_DIR) $(1)/etc/config
$(INSTALL_DIR) $(1)/etc/chrony
--- /dev/null
+#!/bin/sh
+# Wait for sync for up to 5 minutes and notify other services
+
+/usr/bin/chronyc waitsync 300 1 0.0 1 || exit 0
+
+ubus call hotplug.ntp call '{ "env": [ "ACTION=stratum" ] }'
START=15
USE_PROCD=1
PROG=/usr/sbin/chronyd
+HOTPLUG=/usr/sbin/chrony-hotplug
CONFIGFILE=/etc/chrony/chrony.conf
INCLUDEFILE=/var/etc/chrony.d/10-uci.conf
RTCDEVICE=/dev/rtc0
procd_set_param file $INCLUDEFILE
procd_close_instance
+ procd_open_instance
+ procd_set_param command $HOTPLUG
+ procd_close_instance
+
config_load chrony
mkdir -p $(dirname $INCLUDEFILE)